/// <reference types="node" />
/// <reference types="node" />
import { Writable } from "stream";
import { AudioMixerArgs } from "../AudioMixer/AudioMixer";
import { AudioSampleRate, AudioBitDepth, AudioEndianness } from "../Types/AudioTypes";
type SelfRemoveFunction = (audioInput: AudioInput) => void;
interface AudioInputArgs {
    sampleRate?: AudioSampleRate;
    channels?: number;
    volume?: number;
    bitDepth?: AudioBitDepth;
    endianness?: AudioEndianness;
    forceClose?: boolean;
}
declare class AudioInput extends Writable {
    private sampleRate;
    private channels;
    private volume;
    private bitDepth;
    private endianness;
    private forceClose;
    private audioMixerArgs;
    private removeSelf;
    private audioBuffer;
    private inputClosed;
    constructor(args: AudioInputArgs, mixerArgs: AudioMixerArgs, removeFunction?: SelfRemoveFunction);
    _write(chunk: Buffer, _: BufferEncoding, callback: (error?: Error) => void): void;
    setVolume(volume: number): this;
    get availableAudioLength(): number;
    close(): void;
    readAudioChunk(highWaterMark: number): Buffer;
}
export { AudioInput, AudioInputArgs };
